Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
endor-ignore-entries
/
{uuid}
GetEndorIgnoreEntry
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/endor-ignore-entries/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "ignore_params": {
      "comments": "<string>",
      "entry_id": "<string>",
      "expiration_time": "2023-11-07T05:31:56Z",
      "expire_if_fix_available": true,
      "file_name": "<string>",
      "reason": "EXCEPTION_REASON_UNSPECIFIED",
      "update_time": "2023-11-07T05:31:56Z",
      "updated_by": "<string>"
    },
    "dependency_name": "<string>",
    "extra_key": "<string>",
    "finding_name": "<string>",
    "parent_name": "<string>",
    "project_uuid": "<string>",
    "vuln_id": "<string>"
  },
  "context": {
    "id": "<string>",
    "type": "CONTEXT_TYPE_UNSPECIFIED",
    "tags": [
      "<string>"
    ],
    "will_be_deleted_at": "2023-11-07T05:31:56Z"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

Represents a single entry in the ignore file.

EndorIgnoreEntry objects are created by the endorctl client after reading and processing the ignore file during the git scan, and then applied to the findings during the analytics scan.

The ignore file is either a raw list of vulnerability ids (one per line), or a YAML file that contains a list of ignore entries, each identifying one or more findings in a repository version. The file is formatted manually or via the endorctl ignore command.

Each entry must specify at least the finding name or the vulnerability ID. The more fields you provide, the more specific the ignore entry is. I.e. if you only provide the finding name and there are multiple findings with the same name in the same repository version, the ignore entry is applied to all of them. Use the endorctl ignore --finding-uuid option to automatically populate all fields of the ignore entry based on a given finding.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
context
object

Contexts keep objects from different scans separated.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the object.